From fbd2d949cb51edf6dc3b5acafca2c0858d65aea6 Mon Sep 17 00:00:00 2001
From: Julio Faracco <jcfaracco@gmail.com>
Date: Sat, 1 Sep 2018 20:31:38 -0300
Subject: [PATCH] aptcc: removing duplicate delete call.

This commit removes a duplicate call inside providesCodec() function.
When cancel is active, the loop call tries to delete 'matcher' and after
breaks the loop. But, the function will tries to delete 'matcher' again
at the end of the function.

Signed-off-by: Julio Faracco <jcfaracco@gmail.com>
---
 backends/aptcc/apt-intf.cpp | 1 -
 1 file changed, 1 deletion(-)

--- a/backends/aptcc/apt-intf.cpp
+++ b/backends/aptcc/apt-intf.cpp
@@ -507,7 +507,6 @@ void AptIntf::providesCodec(PkgList &out
 
     for (pkgCache::PkgIterator pkg = m_cache->GetPkgCache()->PkgBegin(); !pkg.end(); ++pkg) {
         if (m_cancel) {
-            delete matcher;
             break;
         }
 
